Loading...
Searching...
No Matches
Opm::Elasticity::BoundaryGrid::Quad Class Reference

A class describing a linear, quadrilateral element. More...

`#include <boundarygrid.hh>`

## Public Member Functions

| Quad ()
| Default constructor.
FaceCoord | pos (double xi, double eta) const
| Return the physical coordinates corresponding to the given local coordinates.
std::vector< double > | evalBasis (double xi, double eta) const
| Evaluate the basis functions.

## Public Attributes

Vertex | v [4]
| Vertices.
FaceCoord | bb [2]
| Bounding box.

## Friends

std::ostream & | operator<< (std::ostream &os, const Quad &q)
| Print to a stream.

## Detailed Description

A class describing a linear, quadrilateral element.

## Member Function Documentation

## evalBasis()

std::vector< double > Opm::Elasticity::BoundaryGrid::Quad::evalBasis | ( | double | xi,
|  | double | eta ) const

Evaluate the basis functions.

Parameters

  [in] | xi | The local coordinate in the first direction
  [in] | eta | The local coordinate in the second direction

## pos()

BoundaryGrid::FaceCoord Opm::Elasticity::BoundaryGrid::Quad::pos | ( | double | xi,
|  | double | eta ) const

Return the physical coordinates corresponding to the given local coordinates.

Parameters

  [in] | xi | The local coordinate in the first direction
  [in] | eta | The local coordinate in the second direction

The documentation for this class was generated from the following files:

- opm/elasticity/boundarygrid.hh
- opm/elasticity/boundarygrid.cpp